"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var hornet_component_1 = require("hornet-js-react-components/src/widget/component/hornet-component");
var React = require("react");
var classNames = require("classnames");
require("hornet-js-react-components/src/widget/sass/base/_global.scss");
/**
 * Composant proposant une div cachée contenant un message d'alerte
 */
var AlertDiv = /** @class */ (function (_super) {
    tslib_1.__extends(AlertDiv, _super);
    function AlertDiv() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AlertDiv.prototype.render = function () {
        var _this = this;
        var classes = {};
        if (this.state.className) {
            classes[this.state.className] = true;
        }
        classes["hidden-alert-div"] = true;
        var divProps = {
            className: classNames(classes),
            id: this.props.id,
            ref: function (div) { _this.container = div; }
        };
        return (React.createElement("div", tslib_1.__assign({}, divProps)));
    };
    /**
     * Change le message d'alerte
     * @param message message a afficher
     */
    AlertDiv.prototype.setMessage = function (message) {
        if (this.container) {
            this.container.innerHTML = "";
            if (message) {
                this.container.innerHTML = "<div role=\"alert\">" + message + "</div>";
            }
        }
    };
    return AlertDiv;
}(hornet_component_1.HornetComponent));
exports.AlertDiv = AlertDiv;

//# sourceMappingURL=alert-div.js.map
