"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var React = require("react");
var logger_1 = require("hornet-js-logger/src/logger");
var hornet_component_1 = require("hornet-js-react-components/src/widget/component/hornet-component");
var button_1 = require("hornet-js-react-components/src/widget/button/button");
var modal_1 = require("hornet-js-react-components/src/widget/dialog/modal");
var notification_1 = require("hornet-js-react-components/src/widget/notification/notification");
require("hornet-js-react-components/src/widget/dialog/sass/_alert.scss");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.dialog.alert");
var Alert = /** @class */ (function (_super) {
    tslib_1.__extends(Alert, _super);
    function Alert(props, context) {
        return _super.call(this, props, context) || this;
    }
    Alert.prototype.setTitle = function (title, cb) {
        this.setState({ title: title }, cb);
        return this;
    };
    Alert.prototype.setMessage = function (message, cb) {
        this.setState({ message: message }, cb);
        return this;
    };
    Alert.prototype.setOnClickOk = function (onClickOk, cb) {
        this.setState({ onClickOk: onClickOk }, cb);
        return this;
    };
    Alert.prototype.setOnClickClose = function (onClickClose, cb) {
        this.setState({ onClickClose: onClickClose }, cb);
        return this;
    };
    Alert.prototype.open = function (cb) {
        this.setState({ isVisible: true }, cb);
        return this;
    };
    Alert.prototype.close = function (cb) {
        this.setState({ isVisible: false }, cb);
        return this;
    };
    /**
     * @inheritDoc
     */
    Alert.prototype.render = function () {
        logger.debug("Alert render : ", this.state.dialogId ? this.state.dialogId : this.state.title);
        if (!this.state.isVisible)
            return null;
        var notificationId = this.state.notificationId || "nAlert";
        return (React.createElement(modal_1.Modal, { alert: true, isVisible: true, onClickClose: this.state.onClickClose, underlayClickExits: this.state.underlayClickExits, escapeKeyExits: this.state.escapeKeyExits, title: this.state.title, dialogId: this.state.dialogId },
            React.createElement(notification_1.Notification, { id: notificationId }),
            React.createElement("div", { className: "widget-alert-body", id: "widget-alert-body" }, this.state.message),
            React.createElement("div", { className: "widget-dialogue-footer" }, this.renderButtons())));
    };
    /**
     * Renvoie le/les buttons
     * @returns {any}
     */
    Alert.prototype.renderButtons = function () {
        return (React.createElement("div", { className: "txtcenter" },
            React.createElement(button_1.Button, tslib_1.__assign({}, this.configOKButton()))));
    };
    /**
     * Configuration du bouton OK
     * @returns {{type: string, id: string, name: string, value: string, className: string, label: (boolean|string), onClick: (*|defaultFunction)}}
     */
    Alert.prototype.configOKButton = function () {
        return {
            type: "button",
            id: "alertOK",
            name: "action:validMessage",
            value: "Valider",
            className: "hornet-button hornet-alert-button-ok",
            label: this.getValid(),
            title: this.getValidTitle(),
            onClick: this.state.onClickOk,
        };
    };
    /**
     * Extrait le libelle valid passé dans les propriétés du composant ou indique un libellé par défaut
     * @returns Titre
     * @protected
     */
    Alert.prototype.getValid = function () {
        return this.state.valid || this.i18n("form.valid");
    };
    /**
     * Extrait le libelle valid passé dans les propriétés du composant ou indique un libellé par défaut
     * @returns Titre
     * @protected
     */
    Alert.prototype.getValidTitle = function () {
        return this.state.validTitle || this.i18n("form.validTitle");
    };
    Alert.defaultProps = {
        isVisible: false,
        underlayClickExits: false,
        escapeKeyExits: true,
    };
    return Alert;
}(hornet_component_1.HornetComponent));
exports.Alert = Alert;

//# sourceMappingURL=alert.js.map
