"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var logger_1 = require("hornet-js-logger/src/logger");
var React = require("react");
var auto_complete_field_1 = require("hornet-js-react-components/src/widget/form/auto-complete-field");
var auto_complete_selector_1 = require("hornet-js-react-components/src/widget/form/auto-complete-selector");
var chips_1 = require("hornet-js-react-components/src/widget/button/chips");
var assign = require("lodash.assign");
var cloneDeep = require("lodash.clonedeep");
var deburr = require("lodash.deburr");
var find = require("lodash.find");
var kebabCase = require("lodash.kebabcase");
var throttle = require("lodash.throttle");
var key_codes_1 = require("hornet-js-components/src/event/key-codes");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.form.auto-complete-multi-field");
/**
 * Composant d'auto-complétion  a choix multiple.
 */
var AutoCompleteMultiField = /** @class */ (function (_super) {
    tslib_1.__extends(AutoCompleteMultiField, _super);
    function AutoCompleteMultiField(props, context) {
        var _this = _super.call(this, props, context) || this;
        _this.state = tslib_1.__assign(tslib_1.__assign({}, _this.state), { itemSelectedLabel: _this.props.itemSelectedLabel ? _this.props.itemSelectedLabel : "", multiple: true });
        _this.selectedChoices = [];
        return _this;
    }
    /**
     * @inheritDoc
     * @param {AutoCompleteFieldProps} nextProps
     * @param nextState
     * @param nextContext
     */
    AutoCompleteMultiField.prototype.UNSAFE_componentWillUpdate = function (nextProps, nextState, nextContext) {
        _super.prototype.UNSAFE_componentWillUpdate.call(this, nextProps, nextState, nextContext);
        if (this.state.delay !== nextState.delay) {
            // Le délai d'appel de l'action a changé : on doit donc refaire ici l'encaspulation avec throttle
            this._throttledTriggerAction = throttle(this.triggerAction, nextState.delay);
        }
    };
    /**
     * @inheritDoc AutoCompleteField
     */
    AutoCompleteMultiField.prototype.componentDidMount = function () {
        _super.prototype.componentDidMount.call(this);
        if (this.textInput && this.textInput.placeholder === "") {
            this.textInput.placeholder = this.i18n(this.state.itemSelectedLabel, { count: 0 })
                || this.i18n("form.autoCompleteField.selectedItem", { count: 0 });
        }
    };
    /**
     * @inheritdoc
     */
    AutoCompleteMultiField.prototype.componentDidUpdate = function () {
        // when the component is updated
        // make sure you remove the listener on document
        // and the component panel is not expand
        if (typeof document !== undefined && !this.state.shouldShowChoices) {
            document.removeEventListener("click", this.handleChoicesHiding, false);
        }
        // add event listener for clicks on document
        // when state is expand
        else if (typeof document !== undefined && this.state.shouldShowChoices) {
            document.addEventListener("click", this.handleChoicesHiding, false);
        }
    };
    /**
     * ferme la liste de choix de l'autocomplete lors d'un clic en dehors
     */
    AutoCompleteMultiField.prototype.handleChoicesHiding = function (e) {
        e.stopPropagation();
        var focus = document.activeElement;
        var container = this.autocompleteContainer;
        if (container && focus && focus !== container && !container.contains(focus)) {
            this.hideChoices();
        }
    };
    /**
     * Génère le rendu spécifique du champ
     * @returns {any}
     */
    AutoCompleteMultiField.prototype.renderWidget = function () {
        var _this = this;
        var id = this.state.id ? this.state.id : this.getFreeTypingFieldName();
        logger.debug("AutoCompleteMultiField renderWidget : ", id);
        var shouldShow = this.shouldShowChoices();
        var hasError = this.hasErrors() ? " has-error" : "";
        var className = " autocomplete-content" + hasError;
        if (this.state.className) {
            className += " " + this.state.className;
        }
        var htmlProps = this.getHtmlProps();
        htmlProps = assign(htmlProps, {
            onKeyDown: this.handleKeyDown,
            onFocus: this.handleFocus,
            onBlur: this.handleBlur,
            onDoubleClick: this.handleDoubleClick,
            onClick: this.handleClick,
            onChange: this.handleChangeTextInput,
            autoComplete: "off",
            "aria-autocomplete": "list",
            "aria-expanded": shouldShow,
            "aria-owns": this.state.ariaSelectorId,
            "aria-activedescendant": shouldShow ? this.state.ariaSelectorId + "_" + this.state.selectedIndex : undefined,
            "aria-multiselectable": true,
            id: id,
            type: "text",
            name: this.getFreeTypingFieldName(),
            className: className
        });
        var classNameContainer = "autocomplete-container";
        // if (this.getTotalSelectedItems() != 0 && this.state.listDefaultValue && this.state.listDefaultValue.length > 0) {
        if (this.getTotalSelectedItems() !== 0 && this.textInput && this.textInput.value !== "" && this.textInput.value.length > 0
            && !this.props.withChips) {
            classNameContainer += " badge-autocomplete-selected-items-before";
        }
        // Si l'autocomplete renvoi une erreur, le style required est appliqué au container
        if (this.hasErrors()) {
            classNameContainer += " required";
        }
        /* Le champ caché contient l'identifiant de l'élément sélectionné. C'est cet identifiant qui est ensuite
         utilisé par les actions. */
        return (React.createElement("div", { className: classNameContainer, "data-badge": this.getTotalSelectedItems(), ref: function (elt) { return _this.autocompleteContainer = elt; } },
            React.createElement("input", { type: "hidden", name: this.getValueFieldName(), ref: this.registerHiddenInput, "data-multiple": true }),
            this.state.withChips || this.state.chipsComponent ? this.renderChips() : null,
            React.createElement("input", tslib_1.__assign({}, htmlProps, { ref: this.registerTextInput, "data-multiple": true, readOnly: !this.props.writable || this.state.readOnly, "data-writable": this.props.writable })),
            React.createElement(auto_complete_selector_1.AutoCompleteSelector, { ref: "selector", choices: this.state.choices, onOptionSelected: this.onListWidgetSelected, selectorId: this.state.ariaSelectorId, maxHeight: this.props.maxHeight, showComponent: shouldShow, isMultiple: true, choicesSelected: this.state.listDefaultValue, autoCompleteState: this.autoCompleteState, disabled: this.state.disabled || this.state.readOnly, noResultLabel: this.state.noResultLabel })));
    };
    /**
    * récupération des choix dans le datasource
    * mise à jour des choix possibles
    * @param result: nouvelles datas dans le datasource suite à l'émission de l'evènement delete
    */
    AutoCompleteMultiField.prototype.setDeleteResultCallback = function (result) {
        this.choicesLoaderCallback(result);
        var newCurrentValues = [];
        this.selectedChoices = this.computeSelectedChoicesFromResults(result);
        this.selectedChoices.forEach(function (element) { return newCurrentValues.push(element.value); });
        this.computeCurrentValues(newCurrentValues);
    };
    /**
     * Calcule les éléments selectionné à partir du result.
     * Supprime les éléments déja sélectionnés qui ne sont plus dans le datasource
     * @param result: Nouvelles datas dans le datasource
     * @returns any[] : Tableau représentant les éléments sélectionnés
     */
    AutoCompleteMultiField.prototype.computeSelectedChoicesFromResults = function (result) {
        return this.selectedChoices && this.selectedChoices.filter(function (c) {
            var isCurrentElementInDataSource = result && result.filter(function (r) {
                return r && c && r.value === c.value;
            }).length > 0;
            return c && isCurrentElementInDataSource;
        });
    };
    /**
     * Rendu graphique des chips
     */
    AutoCompleteMultiField.prototype.renderChips = function () {
        var _this = this;
        var chips = [];
        if (this.state.currentValue && this.state.currentValue.length > 0) {
            this.state.currentValue.map(function (index, indice) {
                var choices = _this.props.dataSource && _this.props.dataSource.results || _this.props.data || [];
                var item = choices.find(function (value) {
                    return value.value === index;
                });
                if (item) {
                    var key = kebabCase(item.text + "-" + item.value + "-" + index);
                    var classObject = {};
                    classObject[kebabCase("chips-" + _this.props.name + "-" + item.text)] = true;
                    if (indice === _this.state.currentValue.length - 1) {
                        classObject["last-chips"] = true;
                    }
                    var chipsProps = {
                        handleClickReset: function (e) { return _this.onListWidgetSelectedChips(e, item.value); },
                        handleClick: function (e) { return _this.onListWidgetSelectedChips(e, item.value); },
                        id: key,
                        key: key,
                        classNames: classObject,
                        text: item.text,
                        disabled: _this.state.disabled,
                        readOnly: _this.state.readOnly,
                        title: item.text,
                        item: item,
                        withInitials: _this.state.withChipsInitials,
                    };
                    if (_this.state.chipsComponent) {
                        chips.push(React.createElement(_this.state.chipsComponent, chipsProps));
                    }
                    else {
                        chips.push(React.createElement(chips_1.Chips, tslib_1.__assign({}, chipsProps)));
                    }
                }
            });
        }
        return React.createElement(React.Fragment, null, chips);
    };
    /**
     * navigation dans les choix
     * @param {number} delta
     */
    AutoCompleteMultiField.prototype.navigateInChoices = function (delta) {
        var _this = this;
        var newIndex = this.state.selectedIndex === null ? (delta === 1 ? 0 : delta) : this.state.selectedIndex + delta;
        var choicesLength = this.state.choices ? this.state.choices.length : 0;
        if (newIndex < 0) {
            // On va à la fin
            newIndex += choicesLength;
        }
        else if (newIndex >= choicesLength) {
            // On retourne au début
            newIndex = 0;
        }
        // on sélectionne le choix sur lequel on se trouve
        this.setState({ selectedIndex: newIndex }, function () {
            _this.selectCurrentIndex();
            _this.autoCompleteState.setFocusOn(_this.state.selectedIndex, _this.hiddenInput.value, newIndex);
        });
        // On s'assure de l'affichage de la liste déroulante
        if (this.state.shouldShowChoices) {
            this.showChoices();
        }
    };
    /**
     * Fonction appelée lors d'un appui de touche sur le champ de saisie libre
     * @param e évènement
     * @protected
     */
    AutoCompleteMultiField.prototype.handleKeyDown = function (e) {
        var _this = this;
        this.isTyping = true;
        /* L'attribut DOM onKeyDown est éventuellement aussi renseigné sur le composant auto-complete */
        if (this.state.onKeyDown) {
            this.state.onKeyDown(event);
        }
        var key = e.keyCode;
        var shouldShow = this.state.shouldShowChoices === true;
        if (key === key_codes_1.KeyCodes.DOWN_ARROW) {
            if (this.isValidText(this.textInput.value)) {
                if (e.altKey) {
                    this.handleClickAndDoubleClick(e);
                }
                else {
                    this.navigateInChoices(1);
                }
            }
            else {
                if (e.altKey) {
                    this.handleClickAndDoubleClick(e);
                }
                else {
                    this.navigateInChoices(1);
                }
            }
            e.preventDefault();
        }
        else if (key === key_codes_1.KeyCodes.UP_ARROW) {
            if (e.altKey) {
                this.hideChoices();
            }
            else {
                this.navigateInChoices(-1);
            }
            e.preventDefault();
        }
        else if (key === key_codes_1.KeyCodes.BACKSPACE) {
            // Ajout du comportement backpace / return
            var lov = this.state.listDefaultValue;
            if (this.state.withChips) {
                if (lov && lov.length && !this.textInput.value) {
                    var lastChips = document.querySelector(".last-chips").id;
                    var chipsValue = lastChips.split("-");
                    var lastChipsText = chipsValue[0];
                    this.computeCurrentValues(lov[lov.length - 1], false, lastChipsText);
                }
            }
        }
        else if (key === key_codes_1.KeyCodes.ESCAPE) {
            this.hideChoices();
            e.preventDefault();
        }
        else if (e.keyCode === key_codes_1.KeyCodes.SPACEBAR && !this.state.writable) {
            if (shouldShow && !this.state.readOnly && !this.state.disabled) {
                var indexSelected_1 = this.autoCompleteState.choiceFocused;
                var listDefaultValue = (this.state.listDefaultValue) ? cloneDeep(this.state.listDefaultValue) : [];
                var itemSelected_1;
                this.state.choices.map(function (item, index) {
                    if (indexSelected_1 === index) {
                        itemSelected_1 = item;
                    }
                });
                if (itemSelected_1) {
                    this.computeCurrentValues(itemSelected_1.value, false);
                    if (this.props.resetOnSelect) {
                        this.resetSelectedText();
                        this.hideChoices();
                    }
                }
            }
            e.preventDefault();
        }
        else if (e.keyCode === key_codes_1.KeyCodes.ENTER && this.state.writable) {
            if (shouldShow && !this.state.readOnly && !this.state.disabled) {
                var indexSelected_2 = this.autoCompleteState.choiceFocused;
                var listDefaultValue = (this.state.listDefaultValue) ? cloneDeep(this.state.listDefaultValue) : [];
                var itemSelected_2;
                this.state.choices.map(function (item, index) {
                    if (indexSelected_2 === index) {
                        itemSelected_2 = item;
                    }
                });
                if (itemSelected_2) {
                    this.computeCurrentValues(itemSelected_2.value, false);
                    if (this.props.resetOnSelect) {
                        this.resetSelectedText();
                        this.hideChoices();
                    }
                }
            }
            else if (!shouldShow) {
                this.showChoices();
            }
            e.preventDefault();
        }
        else if (key === key_codes_1.KeyCodes.TAB) {
            this.selectCurrentIndex();
            this.hideChoices();
        }
        else if (key === key_codes_1.KeyCodes.HOME) {
            if (shouldShow) {
                this.state.selectedIndex = null;
                this.navigateInChoices(1);
            }
            else {
                this.state.selectedIndex = 0;
                this.selectCurrentIndex();
                this.hideChoices();
            }
            e.preventDefault();
        }
        else if (key === key_codes_1.KeyCodes.END) {
            if (shouldShow) {
                this.state.selectedIndex = null;
                this.navigateInChoices(-1);
            }
            else {
                this.state.selectedIndex = this.state.choices.length - 1;
                this.selectCurrentIndex();
                this.hideChoices();
            }
            e.preventDefault();
        }
        // Action lorsqu'on appuie la touche controle
        if (e.ctrlKey) {
            if (e.keyCode === 65) {
                logger.trace(" Autocomplete multiple ctrl+A ");
                var listDefaultValue_1 = (this.state.listDefaultValue && this.state.listDefaultValue instanceof Array)
                    ? cloneDeep(this.state.listDefaultValue)
                    : [];
                if (listDefaultValue_1.length === this.refs.selector.props.choices.length) {
                    listDefaultValue_1 = [];
                    this.changeSelectedChoice();
                    this.setState({ listDefaultValue: [] });
                }
                else {
                    if (listDefaultValue_1.length < this.refs.selector.props.choices.length) {
                        listDefaultValue_1 = [];
                    }
                    this.refs.selector.props.choices.map(function (item) {
                        if (typeof (listDefaultValue_1.push) === "function") {
                            listDefaultValue_1.push(item.value);
                        }
                    });
                    this.setState({ listDefaultValue: listDefaultValue_1 });
                    this.changeSelectedChoice();
                }
                this.selectedChoices = [];
                listDefaultValue_1 && listDefaultValue_1.forEach(function (item) {
                    _this.computeSelectedItem(item);
                });
                this.setCurrentValue(listDefaultValue_1);
            }
        }
    };
    /**
    * Vérifie que le parametre est défini
    * soit différent de null et de undefined
    * @param {any} value valeur à vérifier
    */
    AutoCompleteMultiField.prototype.isValueDefined = function (value) {
        return value !== null && value !== undefined;
    };
    /**
     * Fonction déclenchée sur une modification du champ de saisie libre
     * @param event
     */
    AutoCompleteMultiField.prototype.handleChangeTextInput = function (event) {
        logger.trace("auto-complete multiple handleChangeTextInput");
        /* L'attribut DOM onChange est éventuellement aussi renseigné sur le composant auto-complete */
        if (this.state.onChange) {
            this.state.onChange(event);
        }
        var newText = this.getCurrentText();
        if (this.refs.selector) {
            this.refs.selector.setCurrentTypedText(newText);
        }
        // Si le texte saisi comtient le nombre de caractères minumum pour lancer la recherche
        // ou si rien n'est saisi mais qu'il faut afficher tout les choix par défaut, alors 
        // on lance la recherche
        if (this.isValidText(newText) || (!newText && this.state.init) || !this.state.writable) {
            this._throttledTriggerAction(newText);
        }
        else {
            this.state.choices = [];
            this.state.allChoices = [];
            this.hideChoices();
        }
        if (this.state.choices[0]
            && this.state.choices.length === 1
            && deburr(newText).toLowerCase() === deburr(this.state.choices[0].text).toLowerCase()) {
            this.changeSelectedChoice();
        }
    };
    /**
     * Fonction permettant de gérer le focus entre chips et input
     * @param index: number
     * @param liste: string[]
     * @param lovId: string
     */
    AutoCompleteMultiField.prototype.setItemFocus = function (index, liste, lovId) {
        var focusIndex = -1;
        // récupération de l'élement "suivant" celui supprimé
        if (index < liste.length) {
            focusIndex = index;
        }
        else if (index === liste.length) {
            // récupération de l'élément "précédent"
            focusIndex = index - 1;
        }
        if (liste && liste.length) {
            var key = void 0;
            var focusChoix = this.props.dataSource.results && this.props.dataSource.results.filter(function (choix) {
                return choix.value === liste[focusIndex];
            });
            // Si pas de tableau ou si lovId est présent, focus sur l'input
            if (focusChoix.length === 0 || lovId) {
                document.getElementById(this.state.id).focus();
            }
            else {
                // Sinon focus sur le chips
                key = kebabCase(focusChoix[0].text + "-" + liste[focusIndex] + "-" + liste[focusIndex]);
                document.getElementById(key).focus();
            }
        }
        else {
            document.getElementById(this.state.id).focus();
        }
    };
    /**
     * Crée la liste des values
     * @param {any} - value de l'item sélectionné
     * @param {boolean} - focusIsNotOnInput : indique s'il faut mettre le focus sur l'input. si false, le focus est mis sur l'input
     * @param {string} - lastChipsId : Id du du dernier chips
     */
    AutoCompleteMultiField.prototype.computeCurrentValues = function (value, focusIsNotOnInput, lastChipsId) {
        if (focusIsNotOnInput === void 0) { focusIsNotOnInput = true; }
        var res;
        if (value instanceof Array) {
            res = value;
        }
        else {
            var listDefaultValue = (this.state.listDefaultValue && this.state.listDefaultValue instanceof Array)
                ? cloneDeep(this.state.listDefaultValue)
                : [];
            if (this.isValueDefined(value)) {
                var index = listDefaultValue.indexOf(value);
                if (index !== -1) {
                    listDefaultValue.splice(index, 1);
                    // Appel au focus sur le bon élement
                    // Si false est passé, on garde le focus sur l'input sans autre traitement
                    focusIsNotOnInput ?
                        this.setItemFocus(index, listDefaultValue, lastChipsId) : document.getElementById(this.state.id).focus();
                }
                else {
                    listDefaultValue.push(value);
                }
            }
            else {
                listDefaultValue = [];
            }
            res = listDefaultValue;
            this.computeSelectedItem(value);
        }
        this.setState({ listDefaultValue: res });
        this.setCurrentValue(res);
    };
    /**
     * Met à jour la liste des items sélectionnés en fonction de la value passée en paramètre
     * @param {any} - value de l'item sélectionné
     */
    AutoCompleteMultiField.prototype.computeSelectedItem = function (value) {
        if (value !== null && value !== undefined) {
            var choice = this.state.choices.filter(function (c) {
                return c && c.value === value;
            });
            var elemntsFound = this.selectedChoices.filter(function (selected) {
                return selected && selected.value === value;
            });
            if (elemntsFound.length > 0) {
                this.selectedChoices = this.selectedChoices.filter(function (element) {
                    return element && element.value !== value;
                }) || [];
            }
            else if (choice.length > 0 && choice[0] !== null && choice[0] !== undefined) {
                this.selectedChoices.push(choice[0]);
            }
        }
        else {
            this.selectedChoices = [];
        }
    };
    /**
    * Déclenche le chargement des éléments correspondant au texte saisi
    * @param newText texte saisi
    */
    AutoCompleteMultiField.prototype.triggerAction = function (newText) {
        logger.trace("auto-complete : prise en compte du texte saisi:", newText);
        this.setIsApiLoading(true);
        this.props.dataSource.fetch(true, newText, true);
    };
    /**
     * Retourne true si l'instance du composant est soumise à l'utilisation du placeholder
     * @param value tableau des données sélectionnées
     */
    AutoCompleteMultiField.prototype.isPlaceholderToUse = function (value) {
        return (!value || value.length === 0) && this.state.placeholder && this.state.placeholder !== "";
    };
    /**
     * set la value
     * @param value
     */
    AutoCompleteMultiField.prototype.setCurrentValue = function (value) {
        var _this = this;
        _super.prototype.setCurrentValue.call(this, value);
        if (this.textInput) {
            this.textInput.placeholder = this.inferPlaceHolder(value);
        }
        this.changeSelectedChoice();
        if (this.isValueDefined(value) && (!Array.isArray(value) || value.length > 0)) {
            var res = value.map(function (item) {
                return find(_this.props.dataSource.results, { value: item });
            });
            if (res || (!Array.isArray(res) || res.length > 0)) {
                this.props.dataSource.select(res);
            }
        }
        else {
            this.props.dataSource.selectClean(true);
        }
        return this;
    };
    /**
     * Calcule le placeholder de l'autocomplete
     * @param {string} - value : la valeur sélectionnée
     */
    AutoCompleteMultiField.prototype.inferPlaceHolder = function (value) {
        if (!this.isPlaceholderToUse(value)) {
            var valueLength = value ? value.length : 0;
            return this.i18n(this.state.itemSelectedLabel, { count: valueLength })
                || this.i18n("form.autoCompleteField.selectedItem", { count: valueLength });
        }
        return this.state.placeholder;
    };
    /**
     * @inheritDoc
     * Fonction appelée lorsque l'utilisateur a choisi un élément de la liste de choix pour nettoyer le currentText du selector
     * Ici on diffère du normal, car cette gestion est propre à ce dernier.
     */
    AutoCompleteMultiField.prototype.changeSelectedChoice = function (choice) {
        if (this.refs.selector) {
            this.refs.selector.setCurrentTypedText("");
        }
    };
    /**
     * ajout d'un listener sur les clic
     */
    AutoCompleteMultiField.prototype.showChoices = function () {
        if (this.state.shouldShowChoices !== true && this.state.focused) {
            if (this.isValidText(this.textInput.value)
                || this.textInput.value.length === 0
                || !this.props.writable
                || this.state.readOnly
                || this.state.disabled) {
                this.setState({ shouldShowChoices: true });
            }
        }
    };
    /**
     * suppression du listener sur les clic
     */
    AutoCompleteMultiField.prototype.hideChoices = function () {
        if (this.state.shouldShowChoices !== false) {
            this.setState({ shouldShowChoices: false });
        }
    };
    /**
     * Gestion de l'événement onFocus pour le champ de saisie libre.
     * @param event
     */
    AutoCompleteMultiField.prototype.handleClickAndDoubleClick = function (event) {
        if (this.state.onSelected) {
            this.hideChoices();
        }
        this.typedValueOnFocus = this.getCurrentText();
        // Si rien n'est saisi dans l'input et que la props init est à true
        // ou si l'autocomplete n'est pas writtable, on initialise le datasource
        if ((!this.typedValueOnFocus && this.props.init) || !this.props.writable) {
            this._throttledTriggerAction(this.typedValueOnFocus);
        }
        else {
            this.showChoices();
        }
        if (!this.hiddenInput || this.hiddenInput.value.length === 0) {
            this.clearFilterData();
        }
        else {
            this.autoCompleteState.setFocusOn(this.state.selectedIndex, this.hiddenInput.value, null);
        }
    };
    /**
     * Fonction déclenchée lorsque le champ de saisie libre perd le focus
     * @param event
     */
    AutoCompleteMultiField.prototype.handleBlur = function (event) {
        if (this.state.onSelected) {
            this.state.onSelected = false;
        }
        else {
            this.state.focused = false;
            // L'attribut DOM onBlur est éventuellement aussi renseigné sur ce composant auto-complete
            if (this.state.onBlur) {
                this.state.onBlur(event);
            }
            this.hideChoices();
            this.isUpdated = false;
        }
        if (this.props.cleanFilterOnBlur) {
            // supprime la saisie pour voir le placeholder et reinitialisation du selecteur,
            // equivalent this.resetSelectedText(), mais ne provoque pas de nouveau rendu
            this.textInput.value = "";
            this.refs.selector.state.currentTypedText = "";
            if (!this.state.init) {
                this.setResultCallback([]);
                this.state.choices = [];
            }
        }
    };
    /**
     * Fonction appelée lorsque l'utilisateur clique sur un item de la liste des valeurs possibles
     * @param event
     */
    AutoCompleteMultiField.prototype.getTotalSelectedItems = function () {
        return this.state.currentValue ? this.state.currentValue.length : 0;
    };
    /**
     * Fonction appelée lorsque l'utilisateur clique sur un item de la liste des valeurs possibles
     * @param event
     */
    AutoCompleteMultiField.prototype.onListWidgetSelected = function (event, choice) {
        logger.trace("Selection Multiple click");
        var selectedValue = choice.value;
        if (event.target !== event.currentTarget) {
            this.state.onSelected = true;
        }
        this.computeCurrentValues(selectedValue, false);
        if (this.props.resetOnSelect) {
            this.resetSelectedText();
            this.hideChoices();
        }
        event.nativeEvent.preventDefault();
        event.nativeEvent.stopPropagation();
        event.nativeEvent.stopImmediatePropagation();
    };
    /*
    * Fonction appelée lorsque l'utilisateur clique sur un item de la liste des valeurs possibles
    * @param event
    */
    AutoCompleteMultiField.prototype.onListWidgetSelectedChips = function (event, selectedValue) {
        logger.trace("Click sur chips ayant pour value: ", selectedValue);
        this.computeCurrentValues(selectedValue);
        event.preventDefault();
        event.stopPropagation();
    };
    /**
     * Reset le field input, la sélection dans le datasource et retire les chips de sélection multiple
     */
    AutoCompleteMultiField.prototype.resetField = function () {
        this.computeCurrentValues([]);
        _super.prototype.resetField.call(this);
        return this;
    };
    /**
     * Charge la liste de choix dans le composant
     */
    AutoCompleteMultiField.prototype.prepareChoices = function () {
        var _this = this;
        var newText = this.getCurrentText();
        if (this.isValidText(newText) || (!newText && this.state.init)) {
            logger.info("prepareChoices: calcul de la liste de choix correspondant au texte", newText);
            var newChoices_1 = this.inferNewChoices(this.state.choices, newText);
            this.handlePreviousSelectedElements();
            // mets a jour la liste des choix
            this.setChoices(newChoices_1, function () {
                if (newChoices_1.length > 0) {
                    // si il n'y a plus qu'un choix on le valide
                    _this.changeSelectedChoiceWhenOneChoice(newText);
                    _this.showChoices();
                }
            });
        }
    };
    /**
     * Ajoute les éléments précédemment sélectionnés dans le datasource s'ils n'y sont pas
     */
    AutoCompleteMultiField.prototype.handlePreviousSelectedElements = function () {
        var _this = this;
        // les éléments sélectionnés qui ne sont pas dans le datasource sont ajoutés.
        // PS: ne pas utiliser le dataSource.add pour éviter des rerendus
        if (this.selectedChoices.length > 0) {
            this.selectedChoices.forEach(function (selected) {
                var selectedNotInDataSource = _this.findElementsInDataSource(selected);
                if (selectedNotInDataSource.length === 0 && selected) {
                    _this.props.dataSource.results.push(selected);
                }
            });
            this.props.dataSource.select(this.selectedChoices);
        }
    };
    /**
     * Retourne les éléments du datasource qui sont identiques à celui passé en paramètre
     * @param {any} - element : item à rechercher
     */
    AutoCompleteMultiField.prototype.findElementsInDataSource = function (element) {
        return this.props.dataSource && this.props.dataSource.results.filter(function (c) {
            return c && element && c.value === element.value && c.text === element.text;
        });
    };
    AutoCompleteMultiField.defaultProps = assign({ withChips: true, resetOnSelect: false }, auto_complete_field_1.AutoCompleteField.defaultProps);
    return AutoCompleteMultiField;
}(auto_complete_field_1.AutoCompleteField));
exports.AutoCompleteMultiField = AutoCompleteMultiField;

//# sourceMappingURL=auto-complete-multi-field.js.map
