"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var React = require("react");
var logger_1 = require("hornet-js-logger/src/logger");
var abstract_field_1 = require("hornet-js-react-components/src/widget/form/abstract-field");
var assign = require("lodash.assign");
var cloneDeep = require("lodash.clonedeep");
var isFunction = require("lodash.isfunction");
var classNames = require("classnames");
var hornet_event_1 = require("hornet-js-core/src/event/hornet-event");
var event_1 = require("hornet-js-react-components/src/widget/form/event");
var key_codes_1 = require("hornet-js-components/src/event/key-codes");
var chars_counter_1 = require("hornet-js-react-components/src/widget/form/chars-counter");
var tool_tip_1 = require("hornet-js-react-components/src/widget/tool-tip/tool-tip");
var svg_sprites_1 = require("../icon/svg-sprites");
require("hornet-js-react-components/src/widget/form/sass/_input.scss");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.form.input-field");
var InputField = /** @class */ (function (_super) {
    tslib_1.__extends(InputField, _super);
    function InputField(props, context) {
        var _this = _super.call(this, props, context) || this;
        if (_this.props.currentValue) {
            _this.state = tslib_1.__assign(tslib_1.__assign({}, _this.state), { valued: true });
        }
        return _this;
    }
    /**
     * Génère le rendu spécifique du champ
     * @returns {any}
     * @override
     */
    InputField.prototype.renderWidget = function () {
        var _this = this;
        logger.debug("InputField renderWidget : ", this.props.id ? this.props.id : this.state.name);
        var htmlProps = cloneDeep(this.getHtmlProps());
        if (this.state.currentValue != null) {
            assign(htmlProps, { defaultValue: this.props.currentValue });
        }
        var inputClasses = {
            "has-error": this.hasErrors(),
            input: true,
        };
        if (htmlProps["className"]) {
            inputClasses[htmlProps["className"]] = true;
        }
        if (this.state.alignment) {
            inputClasses[this.state.alignment] = true;
        }
        if (htmlProps["type"] && htmlProps["type"].toLowerCase() === "hidden") {
            htmlProps["type"] = "text";
            htmlProps["hidden"] = true;
        }
        htmlProps["onChange"] = this.state.resettable ? this.handleChangeInput : htmlProps["onChange"];
        htmlProps["className"] = classNames(inputClasses);
        if (this.props.displayCharNumber) {
            var charsCounterId = "chars-counter-" + this.state.id;
            htmlProps["aria-labelledby"] = this.state.name + "-span-label " + charsCounterId;
        }
        else {
            htmlProps["aria-labelledby"] = this.state.name + "-span-label";
        }
        return (React.createElement("div", null,
            React.createElement("input", tslib_1.__assign({ ref: function (elt) { return _this.registerHtmlElement(elt); } }, htmlProps)),
            this.state.resettable && !this.state.readOnly && !this.state.disabled
                ? this.renderResetButton()
                : React.createElement("div", null)));
    };
    /**
     * Surcharge de la méthode
     * @param value
     * @returns {InputField}
     */
    InputField.prototype.setCurrentValue = function (value) {
        _super.prototype.setCurrentValue.call(this, value);
        if (this.charsCounter) {
            this.charsCounter.handleTextChange(value);
        }
        this.setState({ valued: (value !== "" && value) });
        return this;
    };
    InputField.prototype.isValued = function () {
        return this.state.valued || this.props.value;
    };
    /**
     * rendu html du bouton reset
     * @returns {any}
     */
    InputField.prototype.renderResetButton = function () {
        var htmlProps = cloneDeep(this.getHtmlProps());
        var hidden = htmlProps["type"] === "hidden";
        var classList = {
            "input-reset": true,
            "input-reset-hidden": (!this.isValued() || hidden),
        };
        var aProps = {};
        if (this.isValued()) {
            aProps["onClick"] = this.resetValue;
            aProps["tabIndex"] = 0;
            aProps["title"] = this.i18n(this.state.resetTitle, tslib_1.__assign({}, this.state));
            aProps["role"] = "button";
        }
        var prefixID = this.props.id || this.props.name;
        return (React.createElement("span", { className: classNames(classList), "aria-hidden": !this.state.valued, id: prefixID + "ResetButton", onKeyDown: this.handleResetKeyDown },
            React.createElement("a", tslib_1.__assign({}, aProps),
                React.createElement(svg_sprites_1.SvgSprites, { icon: "close", height: "1.5em", width: "1.5em", color: "#757575", tabIndex: -1 }))));
    };
    InputField.prototype.handleResetKeyDown = function (e) {
        var key = e.keyCode;
        if (key === key_codes_1.KeyCodes.ENTER || key === key_codes_1.KeyCodes.SPACEBAR) {
            e.preventDefault();
            e.stopPropagation();
            this.resetValue(e);
            this.htmlElement.focus();
        }
    };
    /**
     * Permet de rendre à null la valeur du champ et de masquer la colonne
     */
    InputField.prototype.resetValue = function (e) {
        var _this = this;
        this.htmlElement.value = null;
        hornet_event_1.fireHornetEvent(event_1.VALUE_CHANGED_EVENT.withData(this.htmlElement));
        if (this.charsCounter) {
            this.charsCounter.handleTextChange(null);
        }
        this.setState({ valued: false }, function () {
            if (_this.props.onChange) {
                _this.props.onChange({
                    target: _this.htmlElement,
                    currentTarget: _this.htmlElement,
                    preventDefault: function () { },
                    stopPropagation: function () { },
                });
            }
        });
    };
    /**
     * Action exécutée lors d'un changement de valeur du champ
     * @param e
     */
    InputField.prototype.handleChangeInput = function (e) {
        if (this.htmlElement && this.htmlElement.value) {
            if (!this.state.valued) {
                this.setState({ valued: true });
            }
        }
        else if (this.state.valued) {
            this.setState({ valued: false });
        }
        var htmlProps = this.getHtmlProps();
        if (isFunction(htmlProps["onChange"])) {
            htmlProps["onChange"](e);
        }
        if (this.charsCounter) {
            this.charsCounter.handleTextChange(this.htmlElement.value);
        }
    };
    /**
     * Surcharge de la méthode de la classe mère pour ajouter la limite autorisée si le nombre de caractères maximum est défini
     * et si la props displayMaxCharInLabel est true
     * @param fieldId
     * @param fieldName
     * @param label
     * @param required
     */
    InputField.prototype.renderLabel = function (fieldId, fieldName, label, required) {
        var _this = this;
        var customLabel = label || "";
        if (this.props.displayMaxCharInLabel && this.props.maxChar) {
            customLabel = customLabel.concat(" ").concat(this.i18n("charsCounter.limitLabel", { maxChar: this.props.maxChar }));
        }
        var urlTheme = this.state.imgFilePath || abstract_field_1.AbstractField.genUrlTheme();
        var urlIcoTooltip = "";
        this.state.icoToolTip ? urlIcoTooltip = urlTheme + this.state.icoToolTip : "";
        if (this.state.abbr && !this.state.lang) {
            logger.warn("Field ", fieldName, " Must have lang with abbr configuration");
        }
        var ariaDescribedby = { "aria-describedby": fieldName + "Tooltip" };
        var message = this.props.alertMessage || "inputField.alertMessage";
        var charTitle = this.props.alertTitle || "inputField.alertTitle";
        var charLabel = this.props.charLabel || "inputField.charLabel";
        return (React.createElement("div", { className: this.state.labelClass + " label-container" },
            this.state.displayCharNumber ?
                React.createElement(chars_counter_1.CharsCounter, { maxChar: this.props.maxChar, elementId: this.state.id, text: this.state.currentValue, charLabel: charLabel, alertMessage: message, showAlert: this.props.showAlert, alertTitle: charTitle, ref: function (elt) {
                        _this.charsCounter = elt;
                    } }) : null,
            React.createElement("label", tslib_1.__assign({ htmlFor: fieldId, id: fieldName + "Label", className: "label-content" }, this.state.toolTip ? ariaDescribedby : null),
                (this.state.abbr) ?
                    React.createElement("abbr", { lang: this.state.lang, title: this.state.abbr },
                        React.createElement("span", { className: "label-abbr", id: fieldName + "-span-label" }, customLabel)) : React.createElement("span", { className: "label", id: fieldName + "-span-label" }, customLabel),
                required && this.state.markRequired ?
                    React.createElement("span", { className: "label-required" },
                        React.createElement("abbr", { title: this.getRequiredLabel() }, "*")) : null,
                this.state.toolTip ?
                    React.createElement(tool_tip_1.ToolTip, { alt: this.state.toolTip, src: urlIcoTooltip != "" ? urlIcoTooltip : "", idSpan: fieldName + "Tooltip" }) : null)));
    };
    InputField.defaultProps = assign({ type: "text", resettable: true, resetTitle: "inputField.resetTitle" }, abstract_field_1.AbstractField.defaultProps);
    return InputField;
}(abstract_field_1.AbstractField));
exports.InputField = InputField;

//# sourceMappingURL=input-field.js.map
