"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var React = require("react");
var abstract_field_1 = require("hornet-js-react-components/src/widget/form/abstract-field");
var assign = require("lodash.assign");
var cloneDeep = require("lodash.clonedeep");
var logger_1 = require("hornet-js-logger/src/logger");
var classNames = require("classnames");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.checkbox-field");
/**
 * Champ de formulaire Hornet de type Switch
 */
var SwitchField = /** @class */ (function (_super) {
    tslib_1.__extends(SwitchField, _super);
    function SwitchField(props, context) {
        var _this = _super.call(this, props, context) || this;
        if (props.readOnly) {
            // permet de désactiver le click lorsqu'uniquement readOnly par défaut
            _this.copyInitialPropsToState({ readOnly: true, disabled: true }, _this.state);
        }
        // par defaut le choix sélectionner sera le premier de la liste
        var selected = null;
        if (_this.props.defaultValue) {
            selected = _this.props.defaultValue;
        }
        _this.state = tslib_1.__assign(tslib_1.__assign({}, _this.state), { selected: selected, id: (!_this.state.id) ? _this.state.name : _this.state.id, currentValue: selected, items: _this.props.datas });
        return _this;
    }
    SwitchField.prototype.UNSAFE_componentWillReceiveProps = function (nextProps) {
        if (nextProps.datas !== this.state.items) {
            this.setItems(nextProps.datas);
        }
        if (nextProps.defaultValue !== this.state.selected) {
            this.setState({ selected: nextProps.defaultValue });
        }
        if (nextProps.disabled !== this.state.disabled) {
            this.setState({ disabled: nextProps.disabled });
        }
    };
    /**
     * Génère le rendu spécifique du champ
     * @returns {JSX.Element} rendu
     * @override
     */
    SwitchField.prototype.renderWidget = function () {
        var _this = this;
        var className = {
            "has-error": this.hasErrors(),
            switch: true,
        };
        if (this.props.className) {
            className[this.props.className] = true;
        }
        var toggleProps = {
            disabled: this.state.disabled,
            readOnly: this.state.readOnly,
            className: classNames(className),
            id: this.state.id,
        };
        var hasItems = this.state.items && this.state.items.length && this.state.items.length > 0;
        return (React.createElement("div", tslib_1.__assign({}, toggleProps),
            React.createElement("fieldset", { className: "switch-fieldset" },
                React.createElement("div", { className: "switch-toggle" }, hasItems ?
                    this.state.items.map(function (data, index) {
                        var isChecked = _this.shouldRadioBeChecked(data);
                        return [
                            _this.renderOptionInput(data, isChecked),
                            _this.renderOptionLabel(data, index, isChecked)
                        ];
                    }) : null))));
    };
    /**
     * rendu d'une option
     * @param {any} option otpion à afficher
     * @param {boolean} isCheckd otpion sélectionnée
     * @returns {JSX.Element} input de l'option
     */
    SwitchField.prototype.renderOptionInput = function (option, isChecked) {
        var _this = this;
        var inputClassName = this.props.inputClassName ?
            this.props.inputClassName + " switch-option-input" : "switch-option-input";
        var key = this.state.id + "-" + option[this.state.valueKey];
        return (React.createElement("input", { key: key + "-input", id: key, type: "radio", name: this.state.name, onClick: function () { return _this.handleClick(option); }, onKeyDown: function () { return _this.handleKeyDown(option); }, onChange: this.handleChange, checked: isChecked, readOnly: this.state.readOnly, disabled: this.state.disabled, className: inputClassName, ref: function (elt) { return _this.registerHtmlElement(elt); } }));
    };
    /**
     * rendu d'une option
     * @param {any} option otpion à afficher
     * @param {number} index index de l'otpion à afficher
     * @param {boolean} isCheckd otpion sélectionnée
     * @returns {JSX.Element} label de l'option
     */
    SwitchField.prototype.renderOptionLabel = function (option, index, isChecked) {
        var _a;
        var labelClassName = (_a = {
                "switch-option-label": true,
                "switch-option-label-select": isChecked
            },
            _a["" + this.props.labelClassName] = !!this.props.labelClassName,
            _a[this.props.labelClassName + "-select"] = !!this.props.labelClassName && isChecked,
            _a);
        var style = this.getLabelStyle(option, isChecked);
        var key = this.state.id + "-" + option[this.state.valueKey];
        return (React.createElement("label", { htmlFor: key, key: key + "-label", className: classNames(labelClassName), title: option[this.state.labelKey], style: style.style },
            index === 0 && this.state.selected !== null ? React.createElement("div", { className: "switch-label-before", style: style.before }) : null,
            option[this.state.labelKey],
            React.createElement("div", { className: "switch-label-after", style: style.after },
                " ",
                option[this.state.labelKey],
                " ")));
    };
    /**
     * renvoie le style de l'option
     * sous la forme {style: any, before: any, after: any}
     * pour le style du label, le style du before label et le style du after label
     * @param option option à styliser
     * @param {boolean} isCheckd otpion sélectionnée
     * @returns {JSX.Element} style de l'option
     */
    SwitchField.prototype.getLabelStyle = function (option, isChecked) {
        var width = 100 / (this.state.items.length);
        var styleWidth = width + "%";
        var left = width * this.getSelectedIndex();
        var styleLeft = left + "%";
        var beforeStyle = { width: styleWidth, left: styleLeft };
        var afterstyle = { opacity: isChecked ? 1 : 0, width: styleWidth, left: styleLeft };
        var style = { width: styleWidth };
        return { style: style, after: afterstyle, before: beforeStyle };
    };
    /**
     * retourne l'index du choix sélectionné dans les items
     * @returns {JSX.Element} index du choix sélectionné, -1 si non présent dans la liste
     */
    SwitchField.prototype.getSelectedIndex = function () {
        if (this.state.items && this.state.items.length && this.state.items.length > 1 && this.state.selected) {
            for (var i = 0; i < this.state.items.length; i++) {
                if (this.state.selected && this.state.items[i][this.props.valueKey] === this.state.selected[this.props.valueKey]) {
                    return i;
                }
            }
        }
        return -1;
    };
    /**
     * indique si le choix doit etre sélectionné ou non
     * Les projets peuvent surcharger les critères en passant une fonction
     * dans la props shouldRadioBeChecked;
     * @param {any} choice choix a tester
     * @returns {Boolean} choix sélectionné ou non
     */
    SwitchField.prototype.shouldRadioBeChecked = function (choice) {
        if (this.props.shouldRadioBeChecked) {
            return this.props.shouldRadioBeChecked(choice, this);
        }
        return this.defaultShouldRadioBeChecked(choice);
    };
    /**
     * indique si le choix doit etre sélectionné ou non
     * Les projets peuvent surcharger les critères en passant une fonction
     * dans la props shouldRadioBeChecked;
     * @param {any} choice choix a tester
     * @returns {Boolean} choix sélectionné ou non
     */
    SwitchField.prototype.defaultShouldRadioBeChecked = function (choice) {
        if (this.state.selected !== undefined && this.state.selected != null) {
            return this.state.selected && choice[this.props.valueKey] === this.state.selected[this.props.valueKey];
        }
        return false;
    };
    /**
     * Appelée au changement de valeur
     * @param {React.ChangeEvent<HTMLElement>} event evennement
     */
    SwitchField.prototype.handleChange = function (event) {
        if (this.props.onChange)
            this.props.onChange(event);
    };
    /**
     * Appelée lors d'un click ou d'un key down sur l'item
     * @param {any} item choix sur lequel l'evennement à été éffectué
     */
    SwitchField.prototype.handleClick = function (item) {
        if (item && this.state.selected && item[this.props.valueKey] === this.state.selected[this.props.valueKey]) {
            this.setState({ selected: null, currentValue: null });
        }
        else {
            this.setState({ selected: item, currentValue: item });
        }
        if (this.props.onClick)
            this.props.onClick.bind(this)(item);
    };
    /**
     * Appelée lors d'un key down sur l'item
     * @param {any} item choix sur lequel l'evennement à été éffectué
     */
    SwitchField.prototype.handleKeyDown = function (item) {
        if (this.props.onKeyDown)
            this.props.onKeyDown(item);
    };
    /**
     * modifier les choix
     * @param {any[]} items choix à modifier
     */
    SwitchField.prototype.setItems = function (items) {
        this.setState({
            items: cloneDeep(items),
            selected: null,
            currentValue: null,
        });
    };
    /**
     * ajoute des choix
     * @param {any[] | any} items choix à ajouter
     */
    SwitchField.prototype.addItems = function (items) {
        var newItems = cloneDeep(this.state.items);
        var selected = this.state.selected;
        if (!newItems || newItems.length && newItems.length === 0) {
            newItems = [];
        }
        if (Array.isArray(items)) {
            for (var i = 0; i < items.length; i++) {
                newItems.push(items[i]);
            }
        }
        else {
            newItems.push(items);
        }
        this.setState({ selected: selected, items: newItems });
    };
    /**
     * Supprime des choix
     * @param {any[] | any} items valeurs à supprimer
     */
    SwitchField.prototype.deleteItems = function (items) {
        var newItems = cloneDeep(this.state.items);
        for (var i = 0; i < items.length; i++) {
            for (var j = 0; j < newItems.length; j++) {
                if (items[i][this.props.valueKey] === newItems[j][this.props.valueKey]) {
                    newItems.splice(j, 1);
                }
            }
        }
        var selected = null;
        this.setState({
            selected: selected,
            items: newItems,
            currentValue: selected,
        });
    };
    /**
     * Modifie la valeur courrante
     * @param {any} item valeur
     */
    SwitchField.prototype.setCurrentValue = function (item) {
        this.setState({ selected: item, currentValue: item });
        return this;
    };
    /**
     * retourne la valeur courrante
     * @param removeEmptyStrings indique si les chaine vide doivent etre retournée comme null
     * @returns {any} current value ou null
     */
    SwitchField.prototype.getCurrentValue = function (removeEmptyStrings) {
        if (removeEmptyStrings === void 0) { removeEmptyStrings = true; }
        var currentValue = this.state.currentValue;
        if (!removeEmptyStrings && this.props.nullable && currentValue === "") {
            currentValue = null;
        }
        return currentValue;
    };
    SwitchField.defaultProps = assign(cloneDeep(abstract_field_1.AbstractField.defaultProps), {
        labelKey: "label",
        valueKey: "value",
        readOnly: false,
        disabled: false,
    });
    return SwitchField;
}(abstract_field_1.AbstractField));
exports.SwitchField = SwitchField;

//# sourceMappingURL=switch-field.js.map
