"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var logger_1 = require("hornet-js-logger/src/logger");
var React = require("react");
var classNames = require("classnames");
var hornet_component_1 = require("hornet-js-react-components/src/widget/component/hornet-component");
var spinner_component_input_1 = require("hornet-js-react-components/src/widget/spinner/spinner-component-input");
require("hornet-js-react-components/src/widget/tab/sass/_tabs.scss");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.tab.tab");
/**
 * Composant Onglet
 */
var Tab = /** @class */ (function (_super) {
    tslib_1.__extends(Tab, _super);
    function Tab(props, context) {
        var _this = _super.call(this, props, context) || this;
        if (!_this.props.mount) {
            _this.state = tslib_1.__assign(tslib_1.__assign({}, _this.state), { spinner: true });
            if (_this.state.children && _this.state.children.props && _this.state.children.props.dataSource) {
                if (!_this.state.children.props.dataSource.status) {
                    _this.state.children.props.dataSource.on("loadingData", function (value) {
                        _this.setState({ spinner: value });
                    });
                }
            }
        }
        return _this;
    }
    /**
     * @inheritDoc
     */
    Tab.prototype.componentDidUpdate = function (prevProps, prevState, prevContext) {
        _super.prototype.componentDidUpdate.call(this, prevProps, prevState, prevContext);
        if (this.props.onSelect && this.state.isVisible && !prevState.isVisible) {
            this.props.onSelect(this, true);
        }
    };
    /**
     * @inheritDoc
     */
    Tab.prototype.UNSAFE_componentWillUpdate = function (nextProps, nextState, nextContext) {
        _super.prototype.UNSAFE_componentWillUpdate.call(this, nextProps, nextState, nextContext);
        if (this.props.onSelect && this.state.isVisible !== nextState.isVisible && nextState.isVisible === false) {
            this.props.onSelect(this, false);
        }
    };
    /**
    * @inheritDoc
    */
    Tab.prototype.componentDidMount = function () {
        _super.prototype.componentDidMount.call(this);
        this.trackInputFieldFromChildren(document.getElementById(this.getTabPanelId()));
    };
    /**
     * @inheritDoc
     */
    Tab.prototype.render = function () {
        logger.debug("rendu composant Tab: ", this.props.index);
        var classNameContent = classNames({
            "tab-panel": true,
            "tab-panel-selected": this.state.isVisible,
        });
        var errorMessage = "";
        if (this.state.errors > 0) {
            errorMessage = this.state.errors + " ";
            errorMessage += this.state.errors === 1 ? this.i18n("form.accordion.error") : this.i18n("form.accordion.errors");
        }
        return (React.createElement("section", { key: this.props.prefixId + "sectionTabPanel-" + this.props.index, style: { display: this.state.isVisible ? "block" : "none" }, id: this.props.prefixId + "sectionTabPanel-" + this.props.index, role: "tabpanel", "aria-hidden": !this.state.isVisible, "aria-labelledby": this.props.prefixId + "tabList-item-" + this.props.index },
            React.createElement(spinner_component_input_1.SpinnerComponentInput, { ref: "spinnerComponent", isVisible: this.state.spinner && this.state.isVisible }),
            this.state.mount ?
                React.createElement("div", { id: this.state.panelId, className: classNameContent }, this.state.children)
                : null));
    };
    Tab.prototype.displaySpinner = function (flag) {
        flag ? this.showSpinnerComponent() : this.hideSpinnerComponent();
    };
    /**
     * Méthode qui permet d'afficher le spinner du composant plutot que celui de la page.
     */
    Tab.prototype.showSpinnerComponent = function () {
        this.state.spinner = true;
    };
    /**
     * Méthode qui permet de cacher le spinner du composant plutot que celui de la page.
     */
    Tab.prototype.hideSpinnerComponent = function () {
        this.state.spinner = false;
    };
    /**
     * Méthode permettant d'ajout des attributs permettant de mapper un onglet à un champ
     * @param node Element HTML
     */
    Tab.prototype.trackInputFieldFromChildren = function (node) {
        var _this = this;
        if (node) {
            if (Array.isArray(node)) {
                node.forEach(function (element) {
                    _this.trackInputFieldFromChildren(element);
                });
            }
            else {
                if ((node.localName === "input" || node.localName === "textarea") && !node.hidden) {
                    node.setAttribute("data-tabId", this.getTabPanelId());
                    node.setAttribute("data-tabIndex", this.state.index);
                    if (this.isFormParentOfTab(node)) {
                        node.setAttribute("data-tabTitle", this.i18n("tabs.tab", { tabTitle: this.state.title }));
                    }
                }
                else if (node.children) {
                    this.trackInputFieldFromChildren(node.children);
                }
                else if (node instanceof HTMLCollection) {
                    for (var i = 0; i < node.length; i++) {
                        this.trackInputFieldFromChildren(node[i]);
                    }
                }
            }
        }
    };
    /**
     * Retourne true si le form contenant le node en paramètre contient le tab courant
     * @param node Element HTML
     */
    Tab.prototype.isFormParentOfTab = function (node) {
        var isFormParentOfTab = false;
        if (node && (node.localName === "input" || node.localName === "textarea")) {
            var form = node.form;
            var tab = document.getElementById(this.getTabPanelId());
            if (form && tab && form.querySelector("#" + this.getTabPanelId())) {
                isFormParentOfTab = true;
            }
        }
        return isFormParentOfTab;
    };
    /**
     * Méthode permettant de récupérer l'ID du Panel propre à l'onglet
     */
    Tab.prototype.getTabPanelId = function () {
        return this.props.prefixId + "sectionTabPanel-" + this.props.index;
    };
    Tab.defaultProps = {
        id: "tab",
        forceRender: false,
        spinner: false,
        mount: true,
    };
    return Tab;
}(hornet_component_1.HornetComponent));
exports.Tab = Tab;

//# sourceMappingURL=tab.js.map
