"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var logger_1 = require("hornet-js-logger/src/logger");
var action_body_cell_1 = require("hornet-js-react-components/src/widget/table/column/cell/action/action-body-cell");
var React = require("react");
var classnames_1 = require("classnames");
var svg_sprites_1 = require("hornet-js-react-components/src/widget/icon/svg-sprites");
var line_after_1 = require("hornet-js-react-components/src/widget/table/line/line-after");
var line_before_1 = require("hornet-js-react-components/src/widget/table/line/line-before");
var logger = logger_1.Logger.getLogger("hornet-js-react-components.widget.table.column.cell.more-info.more-info-body-cell");
var LINE_BEFORE = "before";
var LINE_AFTER = "after";
var MoreInfoBodyCell = /** @class */ (function (_super) {
    tslib_1.__extends(MoreInfoBodyCell, _super);
    function MoreInfoBodyCell(props, context) {
        var _this = _super.call(this, props, context) || this;
        _this.state = tslib_1.__assign(tslib_1.__assign({}, _this.state), { url: (props.url) ? _this.genUrlWithParams(props.url, props.value) : null, visible: (_this.props.visible) ? _this.props.visible(_this.props.value) : true });
        return _this;
    }
    /**
     * @inheritDoc
     */
    MoreInfoBodyCell.prototype.UNSAFE_componentWillReceiveProps = function (nextProps, context) {
        _super.prototype.UNSAFE_componentWillReceiveProps.call(this, nextProps, context);
        // Ne pas utiliser this.setState pour ne pas avoir plusieurs appels au render
        this.state = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, this.state), nextProps), { url: (nextProps.url) ? this.genUrlWithParams(nextProps.url, nextProps.value) : null, visible: (nextProps.visible) ? nextProps.visible(nextProps.value) : true });
    };
    /**
     * @inheritDoc
     */
    MoreInfoBodyCell.prototype.renderCell = function () {
        var _this = this;
        logger.debug("render MoreInfoBodyCell-> column, " + this.props.coordinates.column + " - line , " + this.props.coordinates.row);
        this.title = this.getCellTitleWithProps(this.props);
        var classes = {
            "button-action": true,
        };
        if (this.state.className) {
            classes[this.state.className] = true;
        }
        var aProps = {
            href: this.state.url || "#",
            className: classnames_1.default(classes),
            title: this.title,
            onClick: this.onClick,
            disabled: this.props.contentState.itemInEdition && this.state.isEditing === false,
            tabIndex: -1,
            onKeyDown: this.handleKeyDownButton,
            role: "button",
            "aria-controls": this.buildExpandableLineId(),
            "aria-expanded": false,
            ref: function (a) { _this.link = a; },
        };
        return (this.state.visible ?
            React.createElement("a", tslib_1.__assign({}, aProps),
                typeof this.props.srcImg === "string" ?
                    React.createElement(svg_sprites_1.SvgSprites, { icon: this.props.srcImg, color: "#0579BE", ariaLabel: aProps.title, tabIndex: -1 })
                    :
                        React.createElement(this.props.srcImg.type, tslib_1.__assign(tslib_1.__assign({}, this.props.srcImg.props), { tabIndex: -1, ariaLabel: aProps.title })),
                React.createElement("span", { className: "label-button-action" }, this.state.label))
            : null);
    };
    /**
     * Click sur le lien
     */
    MoreInfoBodyCell.prototype.onClick = function (e) {
        // toggle line
        this.expandLine();
    };
    /**
     * Permet de masquer/afficher  une ligne de tableau
     */
    MoreInfoBodyCell.prototype.expandLine = function () {
        var selector = this.buildExpandableLineId();
        var element = document.getElementById(selector);
        if (element && element.classList && element.classList.contains("datatable-expandable-line-hidden")) {
            element.classList.remove("datatable-expandable-line-hidden");
            element.classList.add("datatable-expandable-line-displayed");
            this.setLinkAriaExpandedAttribute(true);
        }
        else if (element) {
            element.classList.remove("datatable-expandable-line-displayed");
            element.classList.add("datatable-expandable-line-hidden");
            this.setLinkAriaExpandedAttribute(false);
        }
        if (this.props.action) {
            this.props.action(this.props.value);
        }
    };
    /**
     * Valorise l'attribut aria-expanded du lien avec la value passée en paramètre
     * @param {boolean} - value : Valeur de l'attribut aria-expanded du lien
     */
    MoreInfoBodyCell.prototype.setLinkAriaExpandedAttribute = function (value) {
        if (this.link) {
            this.link.setAttribute("aria-expanded", "" + value);
        }
    };
    /**
     * Construit l'id de l'expandable line
     * @returns {string} - l'id de l'expandable line
     */
    MoreInfoBodyCell.prototype.buildExpandableLineId = function () {
        var childrenType = this.props.children && this.props.children.type;
        var lineType;
        if (childrenType == line_after_1.LineAfter) {
            lineType = LINE_AFTER;
        }
        else if (childrenType == line_before_1.LineBefore) {
            lineType = LINE_BEFORE;
        }
        return this.props.coordinates && this.props.id + "-expandable-line-" + lineType + "-" + this.props.coordinates.row;
    };
    MoreInfoBodyCell.defaultProps = action_body_cell_1.ActionBodyCell.mergeObjects(action_body_cell_1.ActionBodyCell.defaultProps, {
        srcImg: "user"
    });
    return MoreInfoBodyCell;
}(action_body_cell_1.ActionBodyCell));
exports.MoreInfoBodyCell = MoreInfoBodyCell;

//# sourceMappingURL=more-info-body-cell.js.map
