"use strict";
/**
 * Copyright ou © ou Copr. Ministère de l'Europe et des Affaires étrangères (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * Ce logiciel est un programme informatique servant à faciliter la création
 * d'applications Web conformément aux référentiels généraux français : RGI, RGS et RGAA
 * <p/>
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * <p/>
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 * <p/>
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 * <p/>
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 * <p/>
 * <p/>
 * Copyright or © or Copr. Ministry for Europe and Foreign Affairs (2017)
 * <p/>
 * pole-architecture.dga-dsi-psi@diplomatie.gouv.fr
 * <p/>
 * This software is a computer program whose purpose is to facilitate creation of
 * web application in accordance with french general repositories : RGI, RGS and RGAA.
 * <p/>
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 * <p/>
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 * <p/>
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 * <p/>
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * hornet-js-react-components - Ensemble des composants web React de base de hornet-js
 *
 * @author MEAE - Ministère de l'Europe et des Affaires étrangères
 * @version v5.5.0
 * @link git+https://github.com/diplomatiegouvfr/hornet-js.git
 * @license CECILL-2.1
 */
var React = require("react");
var hornet_component_1 = require("hornet-js-react-components/src/widget/component/hornet-component");
var key_codes_1 = require("hornet-js-components/src/event/key-codes");
var logger_1 = require("hornet-js-logger/src/logger");
var svg_sprites_1 = require("hornet-js-react-components/src/widget/icon/svg-sprites");
require("hornet-js-react-components/src/widget/tool-tip/sass/_tooltip.scss");
var logger = logger_1.Logger.getLogger("hornet-js-component.widget.tool-tip.tool-tip");
/**
 * Composant ToolTip
 */
var ToolTip = /** @class */ (function (_super) {
    tslib_1.__extends(ToolTip, _super);
    function ToolTip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @inheritDoc
     */
    ToolTip.prototype.render = function () {
        logger.debug("ToolTip render : idSpan: ", this.state.idSpan);
        var urlIcoTooltip = this.state.src === "" || this.state.src === "undefined" ? this.state.icoToolTip : React.createElement("img", { src: this.state.src, alt: this.state.alt });
        return (React.createElement("span", { onFocus: this.showTip, onMouseOver: this.showTip, onBlur: this.hideTip, onMouseLeave: this.hideTip, className: this.state.classSpan, role: "tooltip" },
            urlIcoTooltip,
            React.createElement("span", { id: this.state.idSpan, className: "tooltip-label", role: "tooltip", "aria-hidden": "true", style: { display: "none" } }, this.state.alt)));
    };
    /**
     * @inheritDoc
     */
    ToolTip.prototype.componentDidMount = function () {
        document.addEventListener("keydown", this.handleKeyDown, false);
    };
    /**
     * @inheritDoc
     */
    ToolTip.prototype.componentWillUnmount = function () {
        document.removeEventListener("keydown", this.handleKeyDown, false);
    };
    /**
     * Gestion des touches du clavier
     * @param event
     */
    ToolTip.prototype.handleKeyDown = function (event) {
        var keyCode = event.keyCode;
        if (keyCode === key_codes_1.KeyCodes.ESCAPE) {
            this.hideTip(event);
        }
    };
    /**
     * Fonction déclenchée lorsque le champ de saisie libre perd le focus
     * @param event
     */
    ToolTip.prototype.hideTip = function (event) {
        if (this.state.idSpan) {
            document.getElementById(this.state.idSpan).setAttribute("aria-hidden", "true");
            document.getElementById(this.state.idSpan).style.display = "none";
        }
    };
    ToolTip.prototype.showTip = function (event) {
        if (this.state.idSpan) {
            document.getElementById(this.state.idSpan).setAttribute("aria-hidden", "false");
            document.getElementById(this.state.idSpan).style.display = "inline";
        }
    };
    ToolTip.defaultProps = {
        icoToolTip: React.createElement(svg_sprites_1.SvgSprites, { height: "1em", width: "1em", icon: "tooltip", color: "#027caf" }),
        classSpan: "tooltip"
    };
    return ToolTip;
}(hornet_component_1.HornetComponent));
exports.ToolTip = ToolTip;

//# sourceMappingURL=tool-tip.js.map
